import { OnInit } from '@angular/core';
import { UntypedFormBuilder, UntypedFormGroup } from '@angular/forms';
import { MatDialog } from '@angular/material/dialog';
import { TechlifyFeatureService } from './techlify-feature.service';
import { DataManager } from '../core/dataManager.service';
import { ErrorHandlerService } from '../core/error-handler.service';
import { AlertService } from '../core/alert.service';
import { StorageService } from '../core/storage.service';
import * as i0 from "@angular/core";
export declare class TechlifyFeatureListingComponent implements OnInit {
    private dataManager;
    private errorHandler;
    private fb;
    private alertService;
    private dialog;
    private storage;
    private featureService;
    features: any[];
    displayedColumns: string[];
    page: number;
    lastPage: number;
    perPage: number;
    isWorking: boolean;
    filterFormGroup: UntypedFormGroup;
    featureToggleForm: UntypedFormGroup;
    constructor(dataManager: DataManager, errorHandler: ErrorHandlerService, fb: UntypedFormBuilder, alertService: AlertService, dialog: MatDialog, storage: StorageService, featureService: TechlifyFeatureService);
    ngOnInit(): void;
    listenForChanges(): void;
    loadData(): Promise<void>;
    toggeleFeature(element: any, feature: any): Promise<void>;
    setStorage(features: any): void;
    reload(): void;
    onScroll(): void;
    sortColumn(event: any): void;
    assignFilter(column: any, direction: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyFeatureListingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TechlifyFeatureListingComponent, "app-techlify-listing-feature", never, {}, {}, never, never, false, never>;
}
